MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024094Community[OCCT] OCCT:Modeling Algorithmspublic2013-08-01 03:282017-09-29 16:24
ReporterHayashi 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version32 bit
Product Version[OCCT] 6.6.0 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0024094: Issure by option of BRepAlgoAPI_Section
DescriptionAt attached Face and the plane of a specific position, the intersection results of BRepAlgoAPI_Section differ by option of ComputePCurveOn and Approximation.
Steps To ReproduceDraw[1]> pload ALL
1
Draw[2]> restore face.brep a
a
Draw[3]> plane p 183.6 0 0 1 0 0 0 1 0
Draw[4]> mkface f p
Draw[5]> bsection result1 a f
Draw[6]> explode result1
result1_1
Draw[7]> bsection result2 a f -na
Draw[8]> explode result2
result2_1
Draw[9]> bsection result3 a f -n2d2
Draw[10]> explode result3
Draw[11]> bsection result4 a f -n2d
Draw[12]> explode result4
Draw[13]> bsection result5 a f -n2d -na
Draw[14]> explode result5
result5_1
Draw[15]>
Additional information
and documentation updates
Method
   Standard_Boolean
      BOPInt_Context::IsValidBlockForFaces (const Standard_Real aT1,
                                            const Standard_Real aT2,
                                            const IntTools_Curve& aC,
                                            const TopoDS_Face& aF1,
                                            const TopoDS_Face& aF2,
                                            const Standard_Real aTol)

 To conclude that the curve is valid for the face checking only 2d curve is not enough.
 Also, it is necessary to check the 3d curve.
TagsNo tags attached.
Test case numberbugs modalg_6 bug24094
Attached Files? file icon face.brep (10,225 bytes) 2013-08-01 03:28

- Relationships
parent of 0024418assignednbv Open CASCADE Wrong section curves when intersecting analytical surfaces 
related to 0028544newmsv Open CASCADE Big tolerance value is returned by Implicit-parametric algorithm 
Not all the children of this issue are yet resolved or closed.

-  Notes
(0026374)
emv (developer)
2013-10-30 17:40

Git branch CR24094 is ready to be reviewed.
(0026466)
pkv (developer)
2013-11-06 11:10

reviewed
(0026532)
mkv (tester)
2013-11-11 13:42

Dear BugMaster,

Branch CR24094 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 9569a571194d54ac2e51562a871f53dee87cd29f

Number of compiler warnings:

occt component :
Linux: 318 (318 on master)
Windows: 0 (0 on master)

products component :
Linux: 188 (188 on master)
Windows: 287 (287 on master)

Regressions/Differences:
http://occt-tests/CR24094-master-occt/Debian60-64/summary.html [^]
http://occt-tests/CR24094-master-occt/Windows-32-VC9/summary.html [^]
boolean bfuse_complex(013) E6, F8
bugs modalg_2(007) bug20964_1, bug20964_2, bug20964_3, bug20964_4, bug20964_5
draft angle(001) F9

Testing cases:
http://occt-tests/CR24094-master-occt/Debian60-64/bugs/modalg_5/bug24094_1.html [^]
http://occt-tests/CR24094-master-occt/Windows-32-VC9/bugs/modalg_5/bug24094_1.html [^]
bugs modalg_5(010) bug24094_1: FAILED

http://occt-tests/CR24094-master-occt/Debian60-64/bugs/modalg_5/bug24094_2.html [^]
http://occt-tests/CR24094-master-occt/Windows-32-VC9/bugs/modalg_5/bug24094_2.html [^]
bugs modalg_5(010) bug24094_2: FAILED

http://occt-tests/CR24094-master-occt/Debian60-64/bugs/modalg_5/bug24094_3.html [^]
http://occt-tests/CR24094-master-occt/Windows-32-VC9/bugs/modalg_5/bug24094_3.html [^]
bugs modalg_5(010) bug24094_3: FAILED

http://occt-tests/CR24094-master-occt/Debian60-64/bugs/modalg_5/bug24094_4.html [^]
http://occt-tests/CR24094-master-occt/Windows-32-VC9/bugs/modalg_5/bug24094_4.html [^]
bugs modalg_5(010) bug24094_4: FAILED

http://occt-tests/CR24094-master-occt/Debian60-64/bugs/modalg_5/bug24094_5.html [^]
http://occt-tests/CR24094-master-occt/Windows-32-VC9/bugs/modalg_5/bug24094_5.html [^]
bugs modalg_5(010) bug24094_5: FAILED

Testing on Linux:
Total MEMORY difference: 356476760 / 356394768
Total CPU difference: 44082.600000000915 / 42435.870000001574

Testing on Windows:
Total MEMORY difference: 411236000 / 410605332
Total CPU difference: 32170.234375 / 30167.78125

There are not differences in images found by testdiff.
(0035316)
git (administrator)
2014-12-11 12:10

Branch CR24094 has been updated forcibly by emv.

SHA-1: cfc16cf7c945c94546afd4ea3d2a94988bc8952f
(0035317)
emv (developer)
2014-12-11 12:12

I have rebased the git branch CR24094 on the current master. Could you please test it once more.
(0035407)
mkv (tester)
2014-12-15 14:53

Dear BugMaster,

Branch CR24094 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: cfc16cf7c945c94546afd4ea3d2a94988bc8952f

Number of compiler warnings:

occt component :
Linux: 18 (18 on master)
Windows: 0 (0 on master)

products component :
Linux: 11 (11 on master)
Windows: 1 (1 on master)

Regressions/Differences:
http://occt-tests/CR24094-master-occt/Debian60-64/summary.html [^]
http://occt-tests/CR24094-master-occt/Windows-32-VC9/summary.html [^]
boolean bfuse_complex(013) E6, F8
bugs modalg_2(007) bug20964_1, bug20964_2, bug20964_3, bug20964_4, bug20964_5
bugs modalg_5(010) bug24558, bug25002
draft angle(001) F9

http://occt-tests.nnov.opencascade.com/CR24094-master-occt/Windows-32-VC10/draft/angle/F9.html [^]
boolean bsection(015) R9 - only on Windows platform

Testing cases:
http://occt-tests/CR24094-master-occt/Debian60-64/bugs/modalg_5/bug24094_1.html [^]
http://occt-tests/CR24094-master-occt/Windows-32-VC9/bugs/modalg_5/bug24094_1.html [^]
bugs modalg_5(010) bug24094_1: FAILED

http://occt-tests/CR24094-master-occt/Debian60-64/bugs/modalg_5/bug24094_2.html [^]
http://occt-tests/CR24094-master-occt/Windows-32-VC9/bugs/modalg_5/bug24094_2.html [^]
bugs modalg_5(010) bug24094_2: FAILED

http://occt-tests/CR24094-master-occt/Debian60-64/bugs/modalg_5/bug24094_3.html [^]
http://occt-tests/CR24094-master-occt/Windows-32-VC9/bugs/modalg_5/bug24094_3.html [^]
bugs modalg_5(010) bug24094_3: FAILED

http://occt-tests/CR24094-master-occt/Debian60-64/bugs/modalg_5/bug24094_4.html [^]
http://occt-tests/CR24094-master-occt/Windows-32-VC9/bugs/modalg_5/bug24094_4.html [^]
bugs modalg_5(010) bug24094_4: FAILED

http://occt-tests/CR24094-master-occt/Debian60-64/bugs/modalg_5/bug24094_5.html [^]
http://occt-tests/CR24094-master-occt/Windows-32-VC9/bugs/modalg_5/bug24094_5.html [^]
bugs modalg_5(010) bug24094_5: FAILED

Testing on Linux:
occt component :
Total MEMORY difference: 363846372 / 363243276
Total CPU difference: 44624.840000000106 / 47495.1899999999
products component :
Total MEMORY difference: 112418060 / 112909436
Total CPU difference: 15435.029999999992 / 16263.849999999975

Testing on Windows:
occt component :
Total MEMORY difference: 277354892 / 276869236
Total CPU difference: 40893.828125 / 41621.890625
products component :
Total MEMORY difference: 72455312 / 71216368
Total CPU difference: 15566.71875 / 13037.484375

There are following differences in images found by testdiff.
http://occt-tests.nnov.opencascade.com/CR24094-master-occt/Debian60-64/diff-Debian60-64.html [^]
http://occt-tests.nnov.opencascade.com/CR24094-master-occt/Windows-32-VC10/diff-Windows-32-VC10.html [^]
IMAGE boolean bsection M8: M8.png differs
IMAGE boolean bsection N4: N4.png differs
IMAGE boolean bsection N7: N7.png differs
IMAGE boolean bsection M9: M9.png differs
(0040267)
Hayashi (reporter)
2015-04-27 12:18
edited on: 2015-04-27 12:19

result on OCCT 6.9.0 beta:

Draw[1]> pload ALL
1
Draw[2]> restore face.brep a
a
Draw[3]> plane p 183.6 0 0 1 0 0 0 1 0
Draw[4]> mkface f p
Draw[5]> bsection result1 a f
Draw[6]> explode result1
result1_1
Draw[7]> whatis result1_1
result1_1 is a shape EDGE FORWARD Modified Orientable

Draw[8]> bsection result2 a f -na
Draw[9]> explode result2
result2_1
Draw[10]> bsection result3 a f -n2d2
Draw[11]> explode result3
result3_1 result3_2
Draw[12]> whatis result3_1
result3_1 is a shape VERTEX FORWARD Modified Orientable Closed Convex

Draw[13]> whatis result3_2
result3_2 is a shape VERTEX FORWARD Modified Orientable Closed Convex

Draw[14]> bsection result4 a f -n2d
Draw[15]> explode result4
result4_1 result4_2
Draw[16]> bsection result5 a f -n2d -na
Draw[17]> explode result5
result5_1 result5_2
Draw[18]>

(0064074)
nbv (developer)
2017-03-02 12:47

Dear Bugmaster,

This bug is fixed in frame of the issue #28491.
Test has been included to the branch CR28491_1.

So, please close this issue as it is fixed.
(0064531)
git (administrator)
2017-03-20 14:37

Branch CR24094 has been deleted by inv.

SHA-1: cfc16cf7c945c94546afd4ea3d2a94988bc8952f

- Issue History
Date Modified Username Field Change
2013-08-01 03:28 Hayashi New Issue
2013-08-01 03:28 Hayashi Assigned To => ifv
2013-08-01 03:28 Hayashi File Added: face.brep
2013-09-13 11:58 ifv Assigned To ifv => emv
2013-10-30 17:40 emv Note Added: 0026374
2013-10-30 17:40 emv Assigned To emv => pkv
2013-10-30 17:40 emv Status new => resolved
2013-10-30 17:40 emv Additional Information Updated View Revisions
2013-11-06 11:10 pkv Note Added: 0026466
2013-11-06 11:11 pkv Assigned To pkv => mkv
2013-11-06 11:11 pkv Status resolved => reviewed
2013-11-11 13:42 mkv Note Added: 0026532
2013-11-11 13:43 mkv Test case number => bugs modalg_5(010) bug24094_1, bug24094_2, bug24094_3, bug24094_4, bug24094_5
2013-11-11 13:43 mkv Assigned To mkv => emv
2013-11-11 13:43 mkv Status reviewed => assigned
2013-11-29 11:27 emv Relationship added parent of 0024418
2014-12-11 12:10 git Note Added: 0035316
2014-12-11 12:12 emv Note Added: 0035317
2014-12-11 12:12 emv Assigned To emv => mkv
2014-12-11 12:12 emv Status assigned => feedback
2014-12-11 13:47 mkv Status feedback => reviewed
2014-12-15 14:53 mkv Note Added: 0035407
2014-12-15 14:53 mkv Assigned To mkv => emv
2014-12-15 14:53 mkv Status reviewed => assigned
2015-04-27 12:18 Hayashi Note Added: 0040267
2015-04-27 12:19 Hayashi Note Edited: 0040267 View Revisions
2017-03-01 15:02 msv Relationship added related to 0028491
2017-03-02 12:47 nbv Note Added: 0064074
2017-03-02 12:47 nbv Assigned To emv => bugmaster
2017-03-02 12:47 nbv Status assigned => feedback
2017-03-06 11:30 bugmaster Status feedback => tested
2017-03-06 11:35 bugmaster Test case number bugs modalg_5(010) bug24094_1, bug24094_2, bug24094_3, bug24094_4, bug24094_5 => bugs modalg_6 bug24094
2017-03-06 11:35 bugmaster Status tested => verified
2017-03-06 11:35 bugmaster Resolution open => fixed
2017-03-06 11:35 bugmaster Target Version => 7.2.0
2017-03-13 17:16 nbv Relationship added related to 0028544
2017-03-20 14:37 git Note Added: 0064531
2017-09-29 16:20 aiv Fixed in Version => 7.2.0
2017-09-29 16:24 aiv Status verified => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker